Subject: Re: [bitcoin-dev] [patch] Switching Bitcoin Core to sqlite db

From: Luke Dashjr <[email-masked]>
Date: Sun, 15 Nov 2015 03:04:33 +0000

On Sunday, November 15, 2015 1:02:33 AM Peter R via bitcoin-dev wrote:
> A group of us have been exploring this “meta-cognition” idea with Bitcoin
> Unlimited.  For example, Bitcoin Unlimited can be (optionally) made to
> automatically fork to the longest chain if it “gets stuck” and can neither
> prove that a block is valid nor that the block is invalid.

This situation isn't something that can be ignored and simply moved past. If 
you can't determine the validity of a block, you also cannot process its 
results correctly. Taking for example the BDB/LevelDB issue, the result was 
that BDB failed to accept further changes to the UTXO set. Unless the UTXO set 
could be updated correctly, there is no way to even attempt to validate the 
next block or any new transactions.

Luke